# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 3949aa7c5db6db76e545f6201b1c49f1b91fb245
    parent 84ceefe0890ee235dd736543fe30479393562fb6
    Author: Wolfgang Corcoran-Mathe <first.lord.of.teal@gmail.com>
    Date:   Sun, 20 Jul 2014 11:05:39 -0400

    Very minor grammar fixes in FAQ

    Self-explanatory.

    Signed-off-by: Roberto E. Vargas Caballero <k0ga@shike2.com>

    Diffstat:
    MFAQ | 12++++++------

    1 file changed, 6 insertions(+), 6 deletions(-)
    diff --git a/FAQ b/FAQ
    @@ -42,10 +42,10 @@ Taken from the terminfo manpage:
     	always transmit.

     In the st case smkx=E[?1hE= and rmkx=E[?1lE>, so it is mandatory that
    -applications which want to test against keypad keys, have to send these
    +applications which want to test against keypad keys send these
     sequences.

    -But buggy applications like bash and irssi for example don't do this. A fast
    +But buggy applications (like bash and irssi, for example) don't do this. A fast
     solution for them is to use the following command:

     	$ printf '\033[?1h\033=' >/dev/tty
    @@ -53,7 +53,7 @@ solution for them is to use the following command:
     or
     	$ echo $(tput smkx) >/dev/tty

    -In the case of bash readline is used. Readline has a different note in its
    +In the case of bash, readline is used. Readline has a different note in its
     manpage about this issue:

     	enable-keypad (Off)
    @@ -84,8 +84,8 @@ If you are using zsh, then read the zsh FAQ

     Putting these lines into your .zshrc will fix the problems.

    -## How can use meta in 8bit mode?
    +## How can I use meta in 8bit mode?

    - St support meta in 8bit mode, but the default terminfo entry doesn't
    - use this capability. If you want it, you have to use st-meta value
    + St supports meta in 8bit mode, but the default terminfo entry doesn't
    + use this capability. If you want it, you have to use the 'st-meta' value
      in TERM.